Hedging
List hedge books
What this workspace can hedge: its active hedge rules, each with the id a request sends as book. On a workspace that books hedges in Agiboo, also each book’s position and every position a request may name.
Scope: hedge_requests.
GET
/
hedge-books
List hedge books
curl --request GET \
--url https://{workspace}.mercora.io/api/v1/hedge-books \
--header 'Authorization: Bearer <token>'import requests
url = "https://{workspace}.mercora.io/api/v1/hedge-books"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{workspace}.mercora.io/api/v1/hedge-books', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{workspace}.mercora.io/api/v1/hedge-books",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{workspace}.mercora.io/api/v1/hedge-books"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{workspace}.mercora.io/api/v1/hedge-books")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{workspace}.mercora.io/api/v1/hedge-books")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"books": [
{
"id": "3f2a9c41-7b1e-4c55-9d0e-1a2b3c4d5e6f",
"keyword": "*",
"commodity": "cocoa",
"exchange": "LDN",
"currency": "GBP",
"tonnes_per_lot": 10,
"broker": "Example Broker",
"agiboo": {
"position": "MAIN FUTURES"
}
}
],
"agiboo": {
"positions": [
"MAIN FUTURES"
]
}
}{
"error": "<string>",
"issues": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{
"field": "<string>",
"message": "<string>"
}
]
}⌘I
List hedge books
curl --request GET \
--url https://{workspace}.mercora.io/api/v1/hedge-books \
--header 'Authorization: Bearer <token>'import requests
url = "https://{workspace}.mercora.io/api/v1/hedge-books"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{workspace}.mercora.io/api/v1/hedge-books', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{workspace}.mercora.io/api/v1/hedge-books",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{workspace}.mercora.io/api/v1/hedge-books"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{workspace}.mercora.io/api/v1/hedge-books")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{workspace}.mercora.io/api/v1/hedge-books")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"books": [
{
"id": "3f2a9c41-7b1e-4c55-9d0e-1a2b3c4d5e6f",
"keyword": "*",
"commodity": "cocoa",
"exchange": "LDN",
"currency": "GBP",
"tonnes_per_lot": 10,
"broker": "Example Broker",
"agiboo": {
"position": "MAIN FUTURES"
}
}
],
"agiboo": {
"positions": [
"MAIN FUTURES"
]
}
}{
"error": "<string>",
"issues": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{
"field": "<string>",
"message": "<string>"
}
]
}